Центр поддержки клиентов и техподдержка Avast

Выберите Ваш продукт:

Avast 2014: Software Updater продолжает сообщать, что программное обеспечение Java устарело

Проблема

Software Updater в Avast 2014 может начать сообщать, что программное обеспечение Java устарело и что ваш компьютер находится на высоком уровне риска уязвимости. Если вы попытаетесь выполнить обновление, вместо последней версии вы увидите эту страницу.

Подробности

Причина этой проблемы - устаревшая версия Java 6. Так как Oracle прекратили поддержку Java 6 в феврале 2013, они рекомендуют вместо этого установить Java 7. Для большей информации, пожалуйста, обратитесь к веб-сайту Oracle:

К сожалению, установочный файл Java 7 не удаляет Java 6, которая остается установленной и может быть устаревшей и уязвимой. Если не удалить Java 6 или не обновить ее до последней поддерживаемой версии Java SE Runtime Environment 6u45 (обновление 45) Software Updater в Avast 2014 будет продолжать сообщать об устаревании продукта. Мы могли бы удалить Java 6 из списка поддерживаемых продуктов, но это бы оставило системы наших пользователей уязвимыми без какого-либо предупреждения. Также мы не хотим удалять Java 6 через Software Updater, так как это может привести к непредсказуемым результатам из-за того, что некоторые программы могут зависеть от Java 6.

Предпочитаемое решение - Настоятельно рекомендуется

Если вы хотите, чтобы ваш компьютер оставался защищенным от уязвимостей, мы рекомендуем удалить устаревшую версию Java 6 и перейти на Java 7. Это же рекомендует Oracle. Тем не менее необходимо делать это внимательно, так как могут появиться побочные эффекты: например, некорректная работа программ. Для подробных инструкций по удалению старых версий программного обеспечения Java, пожалуйста, обратитесь к следующей статье на веб-сайте Oracle:

Альтернативное решение - На ваш страх и риск

Если вам действительно нужно использовать старую версию Java 6, и вы не хотите постоянно видеть напоминания о том, что она устарела и может быть уязвима, вы можете рискнуть и настроить Software Updater в Avast 2014 игнорировать Java 6 следующим образом:

  1. Щелкните правой кнопкой мыши по круглой оранжевой иконке Avast в системном трее и выберите в меню 'Открыть интерфейс пользователя Avast'
    Рисунок I.

    ...или дважды щелкните по иконке антивируса Avast на рабочем столе для того, чтобы открыть пользовательский интерфейс Avast
    Рисунок II.

  2. В главном меню выберите ' Инструменты' и нажмите на кнопку 'Software Updater'.
    Рисунок III.

  3. В подробностях "Java Runtime Environment 6..." нажмите 'Игнорировать обновления',
    Рисунок IV.

    ...и отныне Software Updater в Avast 2014 перестанет сообщать, что ваш компьютер находится на высоком уровне риска уязвимости из-за того, что программное обеспечение Java 6 устарело.
    Рисунок V.


Условия

Avast Premier 2014
Avast Internet Security 2014
Avast Pro Antivirus 2014
Avast Free Antivirus 2014

Операционные системы:


Microsoft Windows 8.1 / Pro /Enterprise
Microsoft Windows 8 / Pro / Enterprise
Microsoft Windows 7 Home Basic / Home Premium / Professional / Enterprise / Ultimate
Microsoft Windows Vista Home Basic / Home Premium / Business / Enterprise / Ultimate
Microsoft Windows XP Home / Professional / Media Center Edition

Мы приносим свои извинения за неудобства, но эта статья, к сожалению, не доступна на выбранном языке. Продолжить читать эту статью на текущем языке или перейти на Главную страницу на выбранном языке?

Продолжить читать Перейти на Главную страницу